Native asset transactions
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/assets/{asset}/transactions \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/assets/{asset}/transactions"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/assets/{asset}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tx_hash": "ad266dfdf3bec26462d326dcfca1bfd359ca72659bd792be19edd0e69708c466",
"slot": 49503576,
"timestamp": "2022-01-01 20:44:27"
},
{
"tx_hash": "2e36e8f8d600d95ac3851879f0fb930756e4f88917bf697c9a725049ce25f4eb",
"slot": 49503576,
"timestamp": "2022-01-01 20:44:27"
},
{
"tx_hash": "bc21b95844a8b4b08c20a848c4bc7f5be08df11bb3f75cf9510836c7259bc9fc",
"slot": 55718892,
"timestamp": "2022-03-14 19:13:03"
},
{
"tx_hash": "904e3cd77c10def76dadd4c1cb87166ed707bae43e5d7da8dcccaf3066b5bfe2",
"slot": 106047961,
"timestamp": "2023-10-18 07:30:52"
}
],
"last_updated": {
"timestamp": "2023-10-18 07:30:52",
"block_hash": "0e1e924710135acfe200ab13d290bd282a67584fd54456f0dcac0aeaa38bb2c2",
"block_slot": 106047961
},
"next_cursor": null
}Assets
Native asset transactions
Get transaction history for a specific Cardano native asset including transfers, mints, and burns.
GET
/
assets
/
{asset}
/
transactions
Native asset transactions
Authorizations
Project API Key
Path Parameters
Asset, encoded as concatenation of hex of policy ID and asset name
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by point in chain)
Available options:
asc, desc Return only transactions in blocks minted on or after a specific slot
Required range:
x >= 0Return only transactions in blocks minted on or before a specific slot
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
An array of transactions
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

